Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Resposta de apt-get install -f
10/08/2010, 16:17
Resposta: #1
Resposta de apt-get install -f
Em uma máquina virtual eu estava testando uns comandos e programas e sources.list, qunado de repente tive que dar um apt-get install -f e olha só o resultado:

debian-pc:/home/mauricio# apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
bluez-gnome libepc-ui-1.0-1 ekiga libmtp7 gcalctool libpth20 gnome-nettool
libepc-1.0-1 libgtk-vnc-1.0-0 libgksu1.2-0 python-notify
gstreamer0.10-plugins-ugly pkg-config libgda3-common python-gnome2-extras
gucharmap zenity libgksuui1.0-1 gnome-games cheese evolution-exchange
gnome-network-admin gnome-power-manager unzip gnome-cards-data libwxgtk2.8-0
totem-plugins gnome-screensaver rhythmbox python-gdata gedit
python-gtksourceview2 gtk2-engines-pixbuf system-config-printer libopenjpeg2
libpt-1.10.10-plugins-alsa gnome-themes seahorse libggzmod4 totem-common
vinagre libpt-1.10.10 libgpod3 libgalago3 guile-1.8-libs python-gtkmozembed
python-gtkhtml2 p7zip gedit-common gnome-themes-extras libdmx1 gdm-themes
fast-user-switch-applet python-numpy arj gnome-volume-manager gtk2-engines
libgtksourceview2.0-common eog gdm libgtksourceview2.0-0 gnome-backgrounds
python-eggtrayicon python-sexy python-xdg gnome-spell libggz2 libwxbase2.8-0
vino virtualbox-ose-modules-2.6.26-2-486 gnome-games-data gnome-app-install
libopal-2.2 totem-gstreamer libgnomevfs2-bin python-wxversion libsidplay1
zip python-gdbm gnome-core dmz-cursor-theme tk8.4 python-4suite-xml
libgda3-3 libpt-1.10.10-plugins-v4l libgpgme11 libggzcore9 gconf-editor
gnome-system-tools python-wxgtk2.8 gnuchess transmission-common
gstreamer0.10-tools totem-mozilla libgdl-1-0 file-roller serpentine
libopenobex1 libspeexdsp1 transmission-gtk sound-juicer libgdl-1-common
gnome-vfs-obexftp


Porque ele tá pedindo para desinstalar todos esses pacotes, vai ficar sem nada meu Debian...Já mudei o sources.list para testar e segui a mesma coisa.

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/08/2010, 19:21
Resposta: #2
Re: Resposta de apt-get install -f
Putz... eu já ouvi falar desse tipo de problema quando se alterna entre a utilização do aptitude e do apt-get. Você lembra se utilizou o aptitude para instalar ou remover alguma coisa? Chegou a utilizar o apt-get também?

De maneira geral, recomenda-se sempre utilizar o aptitude. Faça um teste e veja se o aptitude também está pedindo pra remover tudo isso aí.

Código:
# aptitude -f install

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/08/2010, 08:23
Resposta: #3
Re: Resposta de apt-get install -f
mfog319,

Porque você executou apt-hget -f install?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/08/2010, 14:49
Resposta: #4
Re: Resposta de apt-get install -f
Eu havia instalado o virtual box, e faltou as dependencias o que resolveu com esse comando ai.

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2010, 09:04
Resposta: #5
Re: Resposta de apt-get install -f
Ele continua querendo remover todos os pacotes? Veja se não tem pacotes quebrados:

Código:
apt-get check
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2010, 14:31
Resposta: #6
Re: Resposta de apt-get install -f
Essa foi a resposta
[email protected]:/home/mauricio# apt-get check
Lendo listas de pacotes... Pronto
Construindo árvore de dependências... 50%
Construindo árvore de dependências
Lendo informação de estado... Pronto

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2010, 14:36
Resposta: #7
Re: Resposta de apt-get install -f
O mais estranho, é que instalei do zero o squeeze, e então removi pelo synaptic o epiphany, o ekiga e o evolution. e instalei o amsn e o erro após repetir o apt-get install -f para resolver dependencia é:

[email protected]:/home/mauricio# apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
libmono-addins-gui0.2-cil python-crypto mono-2.0-gac libopenal1 python-tagpy
evolution-common geoclue-localnet mesa-utils libepc-ui-1.0-2 python-pyasn1
libswscale0 geoclue tomboy python-twisted-core evolution-webcal
python-opengl python-gst0.10 libmtp8 rpm2cpio libnm-glib-vpn1 gcalctool
gthumb freedesktop-sound-theme libavutil50 telepathy-salut gnuchess-book
gnome-nettool gnome-games-extra-data libepc-1.0-2 libgnomepanel2.24-cil
hal-cups-utils python-notify libglade2.0-cil libtelepathy-glib0 python-mako
pkg-config mobile-broadband-provider-info python-zope.interface
libgoffice-0.8-8-common libglib2.0-cil obex-data-server libxvidcore4
libx264-104 python-software-properties libsrtp0 libjpeg8 gucharmap
network-manager libseed0 python-clientform libdiscid0 gnome-games
gnome-session-canberra gdebi libgconf2.0-cil libots0 python-twisted-web
gnome-bluetooth libaprutil1-dbd-sqlite3 python-aptdaemon-gtk
update-manager-core gnome-codec-install python-aptdaemon gnome-cards-data
gthumb-data liferea-data totem-plugins cli-common epiphany-browser-data
libglew1.5 gnome-screensaver gnome-themes-more rhythmbox w3c-dtd-xhtml
python-gdata libnm-util1 liblircclient0 gtk2-engines-pixbuf gnome-office
system-config-printer libaiksaurusgtk-1.2-0c2a apache2.2-bin abiword-common
update-manager-gnome abiword cheese-common abiword-plugin-mathview
python-gtkglext1 libart2.0-cil libglewmx1.5 libaiksaurus-1.2-0c2a librpmio1
libapr1 gnome-themes update-notifier-common libpostproc51 librpm1 seahorse
rpm-common remmina-plugin-rdp libgtkhtml-editor0 gdebi-core totem-common
libaprutil1-ldap gvfs-bin gnumeric-common update-notifier python-mechanize
libgnome2.24-cil libndesk-dbus1.0-cil seahorse-plugins gir1.0-gtk-2.0
libgpod4 bluez libabiword-2.8 libgeoclue0 remmina-plugin-vnc xdg-user-dirs
libavformat52 libmono-cairo2.0-cil python-utidylib gnome-user-share
libpsiconv6 gir1.0-gstreamer-0.10 nautilus-sendto-empathy libgalago3
gedit-plugins libtelepathy-farsight0 network-manager-gnome totem-coherence
libpcsclite1 libgnome-bluetooth7 python-configobj gconf-defaults-service
guile-1.8-libs libloudmouth1-0 libgoffice-0.8-8 dnsmasq-base
link-grammar-dictionaries-en libpolkit-gtk-1-0 libevolution python-serial
python-beautifulsoup gnome-themes-extras libalut0 libgmime2.4-cil
software-center libopal3.6.8 python-pam python-openssl libelf1
libmono-i18n-west2.0-cil libcryptui0 libgdu-gtk0 libtidy-0.99-0
libmono-addins0.2-cil remmina-plugin-data python-markupsafe arj
gstreamer0.10-ffmpeg libmp3lame0 python-webkit libmono-posix2.0-cil
rhythmbox-plugin-cdrecorder libmono-security2.0-cil gtk2-engines-smooth hal
libaiksaurus-1.2-data libavahi-gobject0 libwv-1.2-3 gnome-disk-utility
gnome-backgrounds obexd-client libgdome2-0 python-xdg libgtk2.0-cil
geoclue-manual mono-gac python-vte libnm-glib2 unattended-upgrades libglc0
libclutter-1.0-0 abiword-plugin-grammar python-twisted-conch
libfreerdp-plugins-standard geoclue-hostip python-louie python-feedparser
gir1.0-clutter-1.0 libgirepository1.0-0 vino aptdaemon usb-modeswitch-data
python-gnupginterface gdm3 python-nevow gnome-games-data media-player-info
telepathy-mission-control-5 python-pysqlite2 libapache2-mod-dnssd
libjson-glib-1.0-0 python-cupsutils libclutter-gtk-0.10-0 gnome-js-common
evolution-plugins telepathy-gabble libmono-sharpzip2.84-cil usb-modeswitch
libmono-corlib2.0-cil python-epsilon libgpod-common rhythmbox-plugins
libgdata7 libchamplain-0.4-0 libchamplain-gtk-0.4-0 libepc-common
software-properties-gtk python-axiom libgtkhtml-editor-common
python-bugbuddy mono-runtime liferea libpt2.6.7 wpasupplicant xserver-xephyr
python-coherence libgdome2-cpp-smart0c2a python-gdbm libcheese-gtk18 libnl1
dmz-cursor-theme python-evolution gnumeric python-pkg-resources rss-glx
libndesk-dbus-glib1.0-cil gconf-editor liblink-grammar4 gnome-system-tools
libgtkmathview0c2a hal-info gir1.0-freedesktop hamster-applet gnuchess
libfreerdp0 gir1.0-glib-2.0 totem binfmt-support libssh-4
libgnome-vfs2.0-cil python-chardet libavahi-ui0 transmission-common
libaprutil1 p7zip-full geoclue-yahoo libgtkglext1 python-twisted-bin
gstreamer0.10-tools freeglut3 modemmanager totem-mozilla
libmono-system2.0-cil python-httplib2 libgtkhtml3.14-19 file-roller
libopenobex1 libspeexdsp1 nautilus-sendto transmission-gtk python-rdflib
libboost-python1.42.0 remmina libgdata-common empathy-common sound-juicer
libfaac0 libmusicbrainz3-6
Use 'apt-get autoremove' para removê-los.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 2 não atualizados.

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2010, 22:54
Resposta: #8
Re: Resposta de apt-get install -f
E aew Renatov, realmente alternei entre o aptitude e o apt-get, mas na segunda instalação não usei o aptitude, usei o synaptic para remover alguns programas conforme relatado acima.

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/08/2010, 08:27
Resposta: #9
Re: Resposta de apt-get install -f
Entendi, pelo que vi você tentou remover o Ekiga, ele é um pacote essencial para o Gnome, nao sei se os outros que vopcê referenciou tem alguma relação também, mas tente instalar novamente pelo menos o epiphany e ekiga...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/08/2010, 08:40
Resposta: #10
Re: Resposta de apt-get install -f
estarei tentando agora..

Valeu

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/08/2010, 08:54
Resposta: #11
Re: Resposta de apt-get install -f
Bah, reinstalei tudo o que eu havia desinstalado no synaptic mas segue o erro.

Vou seguir tentando e contando com a ajuda dos amigos.

Obrigado

Paulo Mauricio
Assessoria em Tecnologia da informação e Suporte Técnico
Linux User #491996 / Debian User
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS